> ## Documentation Index
> Fetch the complete documentation index at: https://docs.erdo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# GetCommunicationAPI reads a record by its opaque, source-qualified handle.


> A cursor continues content omitted from the preceding response.




## OpenAPI

````yaml /api/openapi.json get /v1/communications/{handle}
openapi: 3.0.0
info:
  title: Erdo API
  description: >-
    Erdo's REST API: query and write datasets, run agents, manage threads,
    integrations, pages, evals, workstreams, experiments, and bounded outreach.
    Authenticate with a Bearer API key (erdo_api_...) or scoped token
    (erdo_token_...).
  version: '2026-11-21'
servers:
  - url: https://api.erdo.ai
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/communications/{handle}:
    get:
      summary: >
        GetCommunicationAPI reads a record by its opaque, source-qualified
        handle.
      description: |
        A cursor continues content omitted from the preceding response.
      operationId: GET:mcp.GetCommunicationAPI
      parameters:
        - allowEmptyValue: true
          explode: false
          in: path
          name: handle
          required: true
          schema:
            type: string
          style: simple
        - allowEmptyValue: true
          explode: true
          in: query
          name: cursor
          required: false
          schema:
            type: string
          style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  call:
                    $ref: '#/components/schemas/communications.CallFacts'
                  channel:
                    type: string
                  content_complete:
                    type: boolean
                  continuation:
                    type: string
                  conversation:
                    type: string
                  direction:
                    type: string
                  email:
                    $ref: '#/components/schemas/communications.EmailFacts'
                  ended_at:
                    format: date-time
                    type: string
                  from:
                    type: string
                  id:
                    type: string
                  kind:
                    type: string
                  messages:
                    items:
                      $ref: '#/components/schemas/communications.Content'
                    type: array
                  messaging:
                    $ref: '#/components/schemas/communications.MessagingFacts'
                  occurred_at:
                    format: date-time
                    type: string
                  started_at:
                    format: date-time
                    type: string
                  to:
                    items:
                      type: string
                    type: array
                  widget:
                    $ref: '#/components/schemas/communications.WidgetFacts'
                type: object
          description: Success response
        default:
          $ref: '#/components/responses/APIError'
components:
  schemas:
    communications.CallFacts:
      properties:
        actor:
          type: string
        agent:
          type: string
        booked_at:
          format: date-time
          type: string
          nullable: true
        booked_start:
          format: date-time
          type: string
          nullable: true
        counterpart_spoken_turn_count:
          format: int64
          type: integer
          nullable: true
        dial_outcome:
          type: string
          nullable: true
        duration_seconds:
          format: int32
          maximum: 2147483647
          minimum: -2147483648
          type: integer
          nullable: true
        has_transcript:
          type: boolean
        status:
          type: string
        summary:
          type: string
      type: object
    communications.EmailFacts:
      properties:
        auto_submitted:
          type: boolean
          nullable: true
        bounce_classification:
          type: string
          nullable: true
        cc:
          items:
            type: string
          type: array
        context: {}
        delivered_at:
          format: date-time
          type: string
          nullable: true
        in_reply_to:
          type: string
        inbound_id:
          type: string
        message_id:
          type: string
        reason:
          type: string
        references:
          items:
            type: string
          type: array
        relayed_email_id:
          type: string
        status:
          type: string
        subject:
          type: string
      type: object
    communications.Content:
      properties:
        at:
          format: date-time
          type: string
        html:
          type: string
        role:
          type: string
        text:
          type: string
      type: object
    communications.MessagingFacts:
      properties:
        attachment_file_ids:
          items:
            type: string
          type: array
        compliance:
          type: boolean
        context: {}
        delivered_at:
          format: date-time
          type: string
          nullable: true
        failure_class:
          type: string
        location: {}
        media: {}
        media_count:
          format: int32
          maximum: 2147483647
          minimum: -2147483648
          type: integer
        read_at:
          format: date-time
          type: string
          nullable: true
        referral: {}
        status:
          type: string
        suppressed:
          type: boolean
      type: object
    communications.WidgetFacts:
      properties:
        booked_at:
          format: date-time
          type: string
          nullable: true
        booked_start:
          format: date-time
          type: string
          nullable: true
        has_transcript:
          type: boolean
        modality:
          type: string
        summary:
          type: string
        visitor_identity: {}
        widget:
          type: string
      type: object
  responses:
    APIError:
      content:
        application/json:
          schema:
            externalDocs:
              url: https://pkg.go.dev/encore.dev/beta/errs#Error
            properties:
              code:
                description: Error code
                example: not_found
                externalDocs:
                  url: https://pkg.go.dev/encore.dev/beta/errs#ErrCode
                type: string
              details:
                description: Error details
                type: object
              message:
                description: Error message
                type: string
            title: APIError
            type: object
      description: Error response
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: An Erdo API key (erdo_api_...) or scoped token (erdo_token_...).

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.